public class CircleWithStaticMembers {
  /** Promień koła */
  double radius;

  /** Liczba utworzonych obiektów */
  static int numberOfObjects = 0;

  /** Tworzy koło o promieniu 1 */
  CircleWithStaticMembers() {
    radius = 1.0;
    numberOfObjects++;
  }

  /** Tworzy koło o podanym promieniu */
  CircleWithStaticMembers(double newRadius) {
    radius = newRadius;
    numberOfObjects++;
  }

  /** Zwraca wartość numberOfObjects */
  static int getNumberOfObjects() {
    return numberOfObjects;
  }

  /** Zwraca powierzchnię koła */
  double getArea() {
    return radius * radius * Math.PI;
  }
}

